Debian Bug report logs - #361789
PHP Warning: mime_magic: type regex BEGIN[[:space:]]*[{] application/x-awk invalid in Unknown on line 0

Package: php5; Maintainer for php5 is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5 is src:php5.

Reported by: "Sven Weiss" <sven.weiss@stange-weiss.de>

Date: Mon, 10 Apr 2006 10:33:01 UTC

Severity: normal

Merged with 419802

Done: sean finney <seanius@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#361789; Package php4-cli. Full text and rfc822 format available.

Acknowledgement sent to "Sven Weiss" <sven.weiss@stange-weiss.de>:
New Bug report received and forwarded. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Sven Weiss" <sven.weiss@stange-weiss.de>
To: <submit@bugs.debian.org>
Subject: PHP Warning: mime_magic: type regex BEGIN[[:space:]]*[{] application/x-awk invalid in Unknown on line 0
Date: Mon, 10 Apr 2006 12:32:37 +0200
Package: php4-cli
Version: 4.4.2-1
 
If I try to run a php script on console, then a warning message appears:
PHP Warning:  mime_magic: type regex            BEGIN[[:space:]]*[{]
application/x-awk invalid in Unknown on line 0
 
You can reproduce it like following samples:
 
sample 1:
server:~# php -v
PHP Warning:  mime_magic: type regex            BEGIN[[:space:]]*[{]
application/x-awk invalid in Unknown on line 0
PHP 4.4.2-1 (cli) (built: Jan 18 2006 12:33:46)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
 
sample 2:
server:~# cat test.php
#!/usr/bin/php4 -q
<?php ?>
server:~# ./test.php
PHP Warning:  mime_magic: type regex            BEGIN[[:space:]]*[{]
application/x-awk invalid in Unknown on line 0
 
sample 3:
server:~# cat test.php
<?php ?>
server:~# php4 test.php
PHP Warning:  mime_magic: type regex            BEGIN[[:space:]]*[{]
application/x-awk invalid in Unknown on line 0
 

I am using Debian Testing, Kernel 2.6.13.1 (self compiled).
The error was also reported in PHP Bug Database by an other debian user:
http://bugs.php.net/bug.php?id=36915


Best regards
Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#361789; Package php4-cli. Full text and rfc822 format available.

Acknowledgement sent to "Sven Weiss" <sven.weiss@stange-weiss.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 361789@bugs.debian.org (full text, mbox):

From: "Sven Weiss" <sven.weiss@stange-weiss.de>
To: <361789@bugs.debian.org>
Subject: Workaround to solve problem
Date: Mon, 24 Apr 2006 15:51:46 +0200
[Message part 1 (text/plain, inline)]
In /usr/share/file/magic.mime which is installed with libmagic1 package
on Debian unstable uncomment out following line:

0      regex           BEGIN[[:space:]]*[{]    application/x-awk
 
 
Best regards
Sven
[Message part 2 (text/html, inline)]

Blocking bugs added: 357373, 357518, 361892, 364212, and 366911 Request was from Michael Piefel <piefel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#361789; Package php4-cli. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 361789@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 361789@bugs.debian.org, control@bugs.debian.org
Subject: PHP Warning: mime_magic: type search [..] text/x-tex invalid in Unknown on line 0
Date: Sun, 25 Mar 2007 00:21:51 +0100
forcemerge 366911 375918 357522
thanks

There is a new warning:

PHP Warning:  mime_magic: type search/400       \\input         text/x-tex invalid in Unknown on line 0
PHP Warning:  mime_magic: type search/400       \\section       text/x-tex invalid in Unknown on line 0
PHP Warning:  mime_magic: type search/400       \\setlength     text/x-tex invalid in Unknown on line 0
PHP Warning:  mime_magic: type search/400       \\documentstyle text/x-tex invalid in Unknown on line 0
PHP Warning:  mime_magic: type search/400       \\chapter       text/x-tex invalid in Unknown on line 0
PHP Warning:  mime_magic: type search/400       \\documentclass text/x-tex invalid in Unknown on line 0

This again seems to be related to unsupported magic-file syntax. The
search type is valid for file. So please try to find a solution. What
about a) fixing PHP, so it accepts the magic file syntax or b) shipping
a copy of file's magic.mime file with the PHP package, that doesn't use
the regex or search type (and other unsupported stuff; '>&' offsets may
be an example for something else, that is probably not supported yet by
PHP).

Regards, Daniel




Forcibly Merged 361789 419802. Request was from James Healy <jimmy@deefa.com> to control@bugs.debian.org. (Mon, 30 Apr 2007 06:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#361789; Package php4-cli. Full text and rfc822 format available.

Acknowledgement sent to Marco Rodrigues <gothicx@sapo.pt>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 361789@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 397451@bugs.debian.org, 147107@bugs.debian.org, 418598@bugs.debian.org, 411112@bugs.debian.org, 311267@bugs.debian.org, 292125@bugs.debian.org, 338086@bugs.debian.org, 159220@bugs.debian.org, 305302@bugs.debian.org, 361789@bugs.debian.org, 299773@bugs.debian.org, 263939@bugs.debian.org, 340642@bugs.debian.org, 215727@bugs.debian.org, 336548@bugs.debian.org, 225845@bugs.debian.org, 151498@bugs.debian.org, 307479@bugs.debian.org, 424937@bugs.debian.org, 311773@bugs.debian.org, 329548@bugs.debian.org, 423427@bugs.debian.org, 381874@bugs.debian.org, 429982@bugs.debian.org, 399259@bugs.debian.org, 375918@bugs.debian.org, 346145@bugs.debian.org, 297866@bugs.debian.org, 379243@bugs.debian.org, 308050@bugs.debian.org, 269471@bugs.debian.org, 424340@bugs.debian.org, 401065@bugs.debian.org, 173683@bugs.debian.org, 364310@bugs.debian.org, 396734@bugs.debian.org, 394644@bugs.debian.org, 286325@bugs.debian.org, 295388@bugs.debian.org, 308793@bugs.debian.org, 183726@bugs.debian.org, 248288@bugs.debian.org, 346176@bugs.debian.org, 147626@bugs.debian.org, 239368@bugs.debian.org, 302125@bugs.debian.org, 349891@bugs.debian.org, 166161@bugs.debian.org, 419802@bugs.debian.org, 329799@bugs.debian.org, 183784@bugs.debian.org, 135543@bugs.debian.org, 341864@bugs.debian.org, 110368@bugs.debian.org, 197987@bugs.debian.org, 152216@bugs.debian.org, 234980@bugs.debian.org, 331035@bugs.debian.org, 349978@bugs.debian.org, 99254@bugs.debian.org, 337885@bugs.debian.org, 331729@bugs.debian.org, 130918@bugs.debian.org, 298061@bugs.debian.org, 153671@bugs.debian.org, 338294@bugs.debian.org, control@bugs.debian.org, php5@packages.debian.org
Subject: Reassigning bugs from php4 to php5
Date: Sun, 13 Jul 2008 23:08:08 +0100
reassign 397451 php5
reassign 147107 php5
reassign 418598 php5
reassign 411112 php5
reassign 311267 php5
reassign 292125 php5
reassign 338086 php5
reassign 159220 php5
reassign 305302 php5
reassign 361789 php5
reassign 299773 php5
reassign 263939 php5
reassign 340642 php5
reassign 215727 php5
reassign 336548 php5
reassign 225845 php5
reassign 151498 php5
reassign 307479 php5
reassign 424937 php5
reassign 311773 php5
reassign 329548 php5
reassign 423427 php5
reassign 381874 php5
reassign 429982 php5
reassign 399259 php5
reassign 375918 php5
reassign 346145 php5
reassign 297866 php5
reassign 379243 php5
reassign 308050 php5
reassign 269471 php5
reassign 424340 php5
reassign 401065 php5
reassign 173683 php5
reassign 364310 php5
reassign 396734 php5
reassign 394644 php5
reassign 286325 php5
reassign 295388 php5
reassign 308793 php5
reassign 183726 php5
reassign 248288 php5
reassign 346176 php5
reassign 147626 php5
reassign 239368 php5
reassign 302125 php5
reassign 349891 php5
reassign 166161 php5
reassign 419802 php5
reassign 329799 php5
reassign 183784 php5
reassign 135543 php5
reassign 341864 php5
reassign 110368 php5
reassign 197987 php5
reassign 152216 php5
reassign 234980 php5
reassign 331035 php5
reassign 349978 php5
reassign 99254 php5
reassign 337885 php5
reassign 331729 php5
reassign 130918 php5
reassign 298061 php5
reassign 153671 php5
reassign 338294 php5
thanks

The php4 package has been removed from Debian testing, unstable and
experimental. I am reassigning its bugs to the php5 package. Please
have a look at them, and close them if they don't apply to
php5 anymore.

Don't hesitate to reply to this mail if you have any question.

--
Marco Rodrigues
http://Marco.Tondela.org




Bug reassigned from package `php4-cli' to `php5'. Request was from Marco Rodrigues <gothicx@sapo.pt> to control@bugs.debian.org. (Sun, 13 Jul 2008 22:36:12 GMT) Full text and rfc822 format available.

Bug reassigned from package `php5' to `php5'. Request was from Marco Rodrigues <gothicx@sapo.pt> to control@bugs.debian.org. (Sun, 13 Jul 2008 22:36:50 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#361789; Package php5. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #33 received at 361789@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: pkg-php-maint@lists.alioth.debian.org, Marco Rodrigues <gothicx@sapo.pt>, 331035@bugs.debian.org
Cc: 397451@bugs.debian.org, 147107@bugs.debian.org, 418598@bugs.debian.org, 411112@bugs.debian.org, 311267@bugs.debian.org, 292125@bugs.debian.org, 338086@bugs.debian.org, 159220@bugs.debian.org, 305302@bugs.debian.org, 361789@bugs.debian.org, 299773@bugs.debian.org, 263939@bugs.debian.org, 340642@bugs.debian.org, 215727@bugs.debian.org, 336548@bugs.debian.org, 225845@bugs.debian.org, 151498@bugs.debian.org, 307479@bugs.debian.org, 424937@bugs.debian.org, 311773@bugs.debian.org, 329548@bugs.debian.org, 423427@bugs.debian.org, 381874@bugs.debian.org, 429982@bugs.debian.org, 399259@bugs.debian.org, 375918@bugs.debian.org, 346145@bugs.debian.org, 297866@bugs.debian.org, 379243@bugs.debian.org, 308050@bugs.debian.org, 269471@bugs.debian.org, 424340@bugs.debian.org, 401065@bugs.debian.org, 173683@bugs.debian.org, 364310@bugs.debian.org, 396734@bugs.debian.org, 394644@bugs.debian.org, 286325@bugs.debian.org, 295388@bugs.debian.org, 308793@bugs.debian.org, 183726@bugs.debian.org, 248288@bugs.debian.org, 346176@bugs.debian.org, 147626@bugs.debian.org, 239368@bugs.debian.org, 302125@bugs.debian.org, 349891@bugs.debian.org, 166161@bugs.debian.org, 419802@bugs.debian.org, 329799@bugs.debian.org, 183784@bugs.debian.org, 135543@bugs.debian.org, 341864@bugs.debian.org, 110368@bugs.debian.org, 197987@bugs.debian.org, 152216@bugs.debian.org, 234980@bugs.debian.org, 349978@bugs.debian.org, 99254@bugs.debian.org, 337885@bugs.debian.org, 331729@bugs.debian.org, 130918@bugs.debian.org, 298061@bugs.debian.org, 153671@bugs.debian.org, 338294@bugs.debian.org, control@bugs.debian.org, php5@packages.debian.org
Subject: Re: [php-maint] Bug#331035: Reassigning bugs from php4 to php5
Date: Mon, 14 Jul 2008 08:44:02 +0200
[Message part 1 (text/plain, inline)]
close 397451
close 147107
close 418598
close 411112
close 311267
close 292125
close 338086
close 159220
close 305302
close 361789
close 299773
close 263939
close 340642
close 215727
close 336548
close 225845
close 151498
close 307479
close 424937
close 311773
close 329548
close 423427
close 381874
close 429982
close 399259
close 375918
close 346145
close 297866
close 379243
close 308050
close 269471
close 424340
close 401065
close 173683
close 364310
close 396734
close 394644
close 286325
close 295388
close 308793
close 183726
close 248288
close 346176
close 147626
close 239368
close 302125
close 349891
close 166161
close 419802
close 329799
close 183784
close 135543
close 341864
close 110368
close 197987
close 152216
close 234980
close 331035
close 349978
close 99254
close 337885
close 331729
close 130918
close 298061
close 153671
close 338294
thanks

hi marco,

On Monday 14 July 2008 12:08:08 am Marco Rodrigues wrote:
<snip>
> reassign 338294 php5
> thanks
>
> The php4 package has been removed from Debian testing, unstable and
> experimental. I am closeing its bugs to the package. Please
> have a look at them, and close them if they don't apply to
> anymore.

what you have done does not help.  it moves a bunch of bugs in various states 
reported against various binary packages to a single source package.  this 
makes our jobs much harder.  also, iirc many of these bugs were in fact 
php4-specific.

as php5 and friends are already overloaded with their own bugs, i am heavy 
handedly closing these reports.  please have a look at them, and reopen them 
if they still apply.


	sean
[signature.asc (application/pgp-signature, inline)]

Bug closed, send any further explanations to "Sven Weiss" <sven.weiss@stange-weiss.de> Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Mon, 14 Jul 2008 06:46:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 07:26:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:34:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.